Name:           python-circuitbreaker
Version:        1.4.0
Release:        0%{?dist}
Summary:        Python Circuit Breaker pattern implementation

License:        None
URL:            https://github.com/fabfuel/circuitbreaker
Source0:        %{pypi_source circuitbreaker}
BuildArch:      noarch

BuildRequires: python-devel

%if 0%{?rhel} <= 8
BuildRequires: epel-rpm-macros
%endif

%global _description %{expand:
This is a Python implementation of the “Circuit Breaker” Pattern (https://martinfowler.com/bliki/CircuitBreaker.html).
}

%description %_description

%package -n     python3-circuitbreaker
Summary:        %{summary}

%description -n python3-circuitbreaker %_description

%prep
%autosetup

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files circuitbreaker

%files -n python3-circuitbreaker -f %{pyproject_files}

%changelog
* Mon Dec 12 2022 Neil Hanlon <neil@rockylinux.org> - 0.3.2-1
- Initial package.
